Page 1 of 1

Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Mon Sep 05, 2016 6:02 am
by PaperPerfect40
I'm completely lost. I've currently got 1.5.6.4 and need to upgrade to 2.3.0.2. I've read through the tutorials on here, but don't understand them. Can anyone put it into layman's terms?

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Mon Sep 05, 2016 8:16 am
by rjcalifornia
Are you using any third party extension? Are you using a custom theme? Are any of those compatible with 2.3?

Do you have a backup of your existing OpenCart site?

There are several things you need to take into account before going forward with the upgrade.

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Mon Sep 05, 2016 8:49 am
by PaperPerfect40
I'm using a stock version, no third party extensions or custom themes. I have backed up my files in my server.

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Tue Sep 06, 2016 10:22 am
by EvolveWebHosting
PaperPerfect40 wrote:I'm completely lost. I've currently got 1.5.6.4 and need to upgrade to 2.3.0.2. I've read through the tutorials on here, but don't understand them. Can anyone put it into layman's terms?
Honestly, I think you'll be best off hiring someone who is reputable from this site in order to make sure your data isn't lost.

If you want to try it yourself, you'll want to create a new install with the new version of files and a copy of your database. Then you can try to run through the upgrade process without touching your live store.

I do believe you'll still need this upgrade script but it will only get you to v2.2: http://forum.opencart.com/viewtopic.php?f=181&t=159898

If you're interested in hiring this done, feel free to send us an email at sales@evolvewebhost.com for an estimate.

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Tue Sep 06, 2016 12:12 pm
by Hannah00
If you want to upgrade to 2.3.0.2 now, you can read upgrade guide and follow the steps. When you have detailed errors or differences, show it on the forum to seek help. Other way, you can find OpenCart upgrade tool to run process automatically from 1.5.6.4 to 2.3.0.2. It is perhaps safer. OpenCart 2.3 is new with dev.

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Tue Sep 06, 2016 3:17 pm
by pm-netti
PaperPerfect40 wrote:I'm completely lost. I've currently got 1.5.6.4 and need to upgrade to 2.3.0.2. I've read through the tutorials on here, but don't understand them. Can anyone put it into layman's terms?
Option 1:
1. Upload Oc 2.3.0.2 files to your store.
2. Remove (if is) all files from folder vqmod/vqcache and expired files from folder vqmod/xml
3. Go to admin
3:1. Find > extensions > modules and remove your 3 party modules
3:2. Same to admin > payment and admin > shipping
4. Go to url your_store.com/install and do upgrade
5. Remove folder catalog/model/total.

Option 2:
http://www.opencart.com/index.php?route ... n_id=24347

Re: Upgrade from 1.5.6.4 to 2.3.0.2

Posted: Wed Sep 14, 2016 3:50 am
by rjcalifornia
PaperPerfect40 wrote:I'm using a stock version, no third party extensions or custom themes. I have backed up my files in my server.
Alright, but did you make a backup of your database? Also, how did you perform the upgrade?

You DO know that the OC v.1.5.x Database will not longer function, after such an Upgrade, without additional work.